//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.8-b130911.1802 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2016.04.15 at 02:17:08 PM CEST 
//


package org.oasis.xliff;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for AttrType_Position.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="AttrType_Position">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
 *     &lt;enumeration value="open"/>
 *     &lt;enumeration value="close"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "AttrType_Position")
@XmlEnum
public enum AttrTypePosition {

    @XmlEnumValue("open")
    OPEN("open"),
    @XmlEnumValue("close")
    CLOSE("close");
    private final String value;

    AttrTypePosition(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static AttrTypePosition fromValue(String v) {
        for (AttrTypePosition c: AttrTypePosition.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
